Bug 1945630 - Pod log filename no longer in <pod-name>-<container-name>.log format
Summary: Pod log filename no longer in <pod-name>-<container-name>.log format
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.8.0
Assignee: Jon Jackson
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On:
Blocks: 1951210
TreeView+ depends on / blocked
 
Reported: 2021-04-01 13:18 UTC by Rejeeb
Modified: 2021-07-27 22:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: During a previous bug fix, the download link for pod logs was changed to a standard HTML anchor element with an empty download attribute. Consequence: The downloaded file lost the previous default file name format. Fix: Add a file name to the anchor element download attribute Result: A default file name formatted as "<pod-name>-<container-name>.log" is used when downloading pod logs.
Clone Of:
Environment:
Last Closed: 2021-07-27 22:57:07 UTC
Target Upstream Version:


Attachments (Terms of Use)
the downloaded log file names (46.63 KB, image/png)
2021-04-08 14:41 UTC, Siva Reddy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8559 0 None open Bug 1945630: Fix default resource log download file name 2021-04-05 14:56:37 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:57:42 UTC

Description Rejeeb 2021-04-01 13:18:41 UTC
Description of problem:

In OCP 4.6 console, while we try to download pod logs, it is getting downloaded as `log.txt` for any pod logs.

However, in OCP 4.5, when we try to download a pod log the format of the file would be `<pod-name>-<container-name>.log`.

Naming every pod log file as log.txt would make it hard for the customer to understand if we try to download multiple pod logs (it will be like log.txt, log (1).txt, log (2).txt  etc).

Version-Release number of selected component (if applicable):

OCP v4.6

How reproducible:

100%

Steps to Reproduce:
1. Download a pod log from the OpenShift Console.

Actual results:

The downloaded pod logs are in the format `log.txt`.

Expected results:

The downloaded pod logs should be in the format `<pod-name>-<container-name>.log` as we see in OpenShift 4.5.

Comment 2 Siva Reddy 2021-04-08 14:41:51 UTC
Created attachment 1770286 [details]
the downloaded log file names

The pod logs are now named as pod names instead of generic text.

Version:
4.8.0-0.nightly-2021-04-08-005413

Steps to verify:
1. Login to admin console
2. Navigate to the Workloads>pods and download logs from the details 
3. Note the name of the log file is same as the pod name.

Comment 3 Yadan Pei 2021-04-09 01:42:00 UTC
log file name is in format: ${pod_name}-${container_name}.log

Comment 14 errata-xmlrpc 2021-07-27 22:57:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.